Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2113751 - vala-language-server: FTBFS in Fedora rawhide/f37
Summary: vala-language-server: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vala-language-server
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F40FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-02 00:19 UTC by Fedora Release Engineering
Modified: 2023-11-29 01:39 UTC (History)
3 users (show)

Fixed In Version: vala-language-server-0.48.7-1.fc38 vala-language-server-0.48.7-1.fc39 vala-language-server-0.48.7-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-29 01:28:17 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-02 00:19 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-02 00:19 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-02 00:19 UTC, Fedora Release Engineering
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME glib issues 2694 0 None closed Recent GRegex changes break vala-language-server compilation 2022-08-02 03:40:58 UTC

Description Fedora Release Engineering 2022-08-02 00:19:06 UTC
vala-language-server failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89927660


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix vala-language-server at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
vala-language-server will be orphaned. Before branching of Fedora 38,
vala-language-server will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-02 00:19:08 UTC
Created attachment 1902670 [details]
build.log

Comment 2 Fedora Release Engineering 2022-08-02 00:19:09 UTC
Created attachment 1902671 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-02 00:19:10 UTC
Created attachment 1902672 [details]
state.log

Comment 4 Ben Beasley 2022-08-02 03:40:58 UTC
This is fixed upstream in glib: https://gitlab.gnome.org/GNOME/glib/-/issues/2694

Comment 5 Ben Cotton 2022-08-09 13:34:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 6 Fedora Admin user for bugzilla script actions 2023-11-19 00:38:15 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 7 Fedora Update System 2023-11-20 08:02:17 UTC
FEDORA-2023-1df28594a0 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-1df28594a0

Comment 8 Fedora Update System 2023-11-20 08:03:31 UTC
FEDORA-2023-02c7d3c3f4 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-02c7d3c3f4

Comment 9 Fedora Update System 2023-11-20 08:04:24 UTC
FEDORA-2023-2c072e6a75 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-2c072e6a75

Comment 10 Fedora Update System 2023-11-21 01:30:23 UTC
FEDORA-2023-02c7d3c3f4 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-02c7d3c3f4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-02c7d3c3f4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2023-11-21 02:16:23 UTC
FEDORA-2023-2c072e6a75 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-2c072e6a75`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-2c072e6a75

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2023-11-21 02:30:31 UTC
FEDORA-2023-1df28594a0 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-1df28594a0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-1df28594a0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Aoife Moloney 2023-11-23 00:20:21 UTC
This message is a reminder that Fedora Linux 37 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 37 on 2023-12-05.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '37'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 37 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 14 Fedora Admin user for bugzilla script actions 2023-11-27 12:13:48 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 15 Fedora Update System 2023-11-29 01:28:17 UTC
FEDORA-2023-02c7d3c3f4 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2023-11-29 01:33:53 UTC
FEDORA-2023-1df28594a0 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2023-11-29 01:39:08 UTC
FEDORA-2023-2c072e6a75 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.